# ApplicationFramework
TKTObj
TObj

# TObj_Partition Class Reference

`#include <TObj_Partition.hxx>`

Inheritance diagram for TObj_Partition:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | SetName (const Handle(TCollection_HExtendedString)&theName) const
| Sets name of the object. partition does not check unique of own name.
virtual Standard_EXPORT void | AfterRetrieval ()
| Preforms updating the links and dependances of the object which are not stored in persistence. Does not register the partition name.
Standard_EXPORT TDF_Label | NewLabel () const
| Creates and Returns label for new object in partition.
Standard_EXPORT void | SetNamePrefix (const Handle(TCollection_HExtendedString)&thePrefix)
| Sets prefix for names of the objects in partition.
Standard_EXPORT | Handle (TCollection_HExtendedString) GetNamePrefix() const
| Returns prefix for names of the objects in partition.
Standard_EXPORT | Handle (TCollection_HExtendedString) GetNewName(const Standard_Boolean theIsToChangeCount
| Generates and returns name for new object in partition. if theIsToChangeCount is true partition icrease own counter to generate new name next time starting from new counter value.
Standard_EXPORT Standard_Integer | GetLastIndex () const
| Return Last index in partition (reserved);.
Standard_EXPORT void | SetLastIndex (const Standard_Integer theIndex)
| Sets Last index in partition (reserved);.
virtual Standard_EXPORT Standard_Boolean | Update ()
| Does nothing in the partition.

## Static Public Member Functions

static Standard_EXPORT | Handle (TObj_Partition) Create(const TDF_Label &theLabel)
| Creates a new partition on given label.
static Standard_EXPORT | Handle (TObj_Partition) GetPartition(const Handle(TObj_Object)&theObject)
| Returns the partition in which object is stored. Null partition returned if not found.

## Protected Types

enum | DataTag { DataTag_First = TObj_Object::DataTag_Last, DataTag_LastIndex, DataTag_Last = DataTag_First + 100 }
| enumeration for the ranks of label under Data section. More...

## Protected Member Functions

Standard_EXPORT | TObj_Partition (const TDF_Label &theLabel)
| Constructor is protected; static methods are used for creation of this type of objects.
virtual Standard_EXPORT Standard_Boolean | copyData (const Handle(TObj_Object)&theTargetObject)
| Coping the data of me to Target object. return Standard_False is Target object is different type.

## Private Member Functions

| Handle (TCollection_HExtendedString) myPrefix
| prefix for naming of objects in the partition

## Detailed Description

This class privides tool handling one of partitions (the set of homogenious elements) in the OCAF based model`s data structure

## Member Enumeration Documentation

enum TObj_Partition::DataTag `[protected]`

Enumeration values:

  DataTag_First |
  DataTag_LastIndex |
  DataTag_Last | Reserved for possible future use.

Reimplemented from TObj_Object.

## Constructor & Destructor Documentation

Standard_EXPORT TObj_Partition::TObj_Partition | ( | const TDF_Label & | theLabel | ) | `[protected]`

| Constructor

## Member Function Documentation

virtual Standard_EXPORT void TObj_Partition::AfterRetrieval | ( |  | ) | `[virtual]`

| Method for updating object afrer restoring Reimplemented from TObj_Object.

virtual Standard_EXPORT Standard_Boolean TObj_Partition::copyData | ( | const Handle(TObj_Object)& | theTargetObject | ) | `[protected, virtual]`

| protected redefined methods Reimplemented from TObj_Object.

Standard_EXPORT Standard_Integer TObj_Partition::GetLastIndex | ( |  | ) | const

TObj_Partition::Handle | ( | TCollection_HExtendedString |  | ) | `[private]`

| fields

static Standard_EXPORT TObj_Partition::Handle | ( | TObj_Partition |  | ) | const`[static]`

| Methods to define partition by object

Standard_EXPORT TObj_Partition::Handle | ( | TCollection_HExtendedString |  | ) | const`[virtual]`

| Reimplemented from TObj_Object.

Standard_EXPORT TObj_Partition::Handle | ( | TCollection_HExtendedString |  | ) | const`[inline, virtual]`

| Reimplemented from TObj_Object.

static Standard_EXPORT TObj_Partition::Handle | ( | TObj_Partition |  | ) | const`[static]`

| Method for create partition

Standard_EXPORT TDF_Label TObj_Partition::NewLabel | ( |  | ) | const

| Methods handling of the objects in partition

Standard_EXPORT void TObj_Partition::SetLastIndex | ( | const Standard_Integer | theIndex | ) |

virtual Standard_EXPORT Standard_Boolean TObj_Partition::SetName | ( | const Handle(TCollection_HExtendedString)& | theName | ) | const`[virtual]`

| Methods hanling name of the object Reimplemented from TObj_Object.

Standard_EXPORT void TObj_Partition::SetNamePrefix | ( | const Handle(TCollection_HExtendedString)& | thePrefix | ) |

virtual Standard_EXPORT Standard_Boolean TObj_Partition::Update | ( |  | ) | `[inline, virtual]`

| Methods for updating the object

The documentation for this class was generated from the following file:

- TObj_Partition.hxx